<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>


<!-- Xstep2step 
	Author: Zhisheng Huang 2002
	Version: 0.22
-->


<xsl:template match="/step">
%% STEP script
%% Created by Xstep.xsl
<xsl:apply-templates/>
%% End of STEP script
</xsl:template>

<xsl:template match="head">
%% created from the head of xstep
<xsl:apply-templates/>
%%end of the head
</xsl:template>

<xsl:template match="library">
%% start of the action library <xsl:value-of select="@name"/>
<xsl:apply-templates/>
%% end of the action library <xsl:value-of select="@name"/>
</xsl:template>

<xsl:template match="action">
script(<xsl:value-of select="@name"/>,Action):-
   Action =<xsl:apply-templates/>,
	!.
</xsl:template>

<xsl:template match="start">
start_action(<xsl:value-of select="@action"/>).
</xsl:template>

<xsl:template match="world">
worldURL(<xsl:value-of select="@url"/>).
</xsl:template>

<xsl:template match="meta_language">
meta_language(<xsl:value-of select="@value"/>).
</xsl:template>


<xsl:template match="seq">
	seq([<xsl:apply-templates/>
		])<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="par">
  	par([<xsl:apply-templates/> 
  		])<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="choice">
  choice([<xsl:apply-templates/>
		])<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="dir"><xsl:value-of select="@value"/></xsl:template>

<xsl:template match="speed"><xsl:value-of select="@value"/></xsl:template>

<xsl:template match="increment">increment(<xsl:value-of select="@x"/>,<xsl:value-of select="@y"/>,<xsl:value-of select="@z"/>)</xsl:template>

<xsl:template match="position">position(<xsl:value-of select="@x"/>,<xsl:value-of select="@y"/>,<xsl:value-of select="@z"/>)</xsl:template>

<xsl:template match="rotation">rotation(<xsl:value-of select="@x"/>,<xsl:value-of select="@y"/>,<xsl:value-of select="@z"/>,<xsl:value-of select="@r"/>)</xsl:template>

<xsl:template match="time">time(<xsl:value-of select="@value"/>,<xsl:value-of select="@unit"/>)</xsl:template>



<xsl:template match="turn">
	turn(<xsl:value-of select="@actor"/>, <xsl:value-of select="@part"/>,<xsl:apply-templates select="(dir|rotation)"/>,<xsl:apply-templates select="(speed|time)"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>


<xsl:template match="move">
	move(<xsl:value-of select="@actor"/>, <xsl:value-of select="@part"/>, <xsl:apply-templates select="(dir|position|increment)"/>, <xsl:apply-templates select="(speed|time)"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="move_body">
	move_body(<xsl:value-of select="@actor"/>,<xsl:apply-templates select="(dir|position|increment)"/>,<xsl:apply-templates select="(speed|time)"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="script_action">
	script_action(<xsl:value-of select="@name"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="if_then_else">
	if_then_else(<xsl:value-of select="@condition"/>, <xsl:value-of select="@then"/>, <xsl:value-of select="@else"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="do">
	do(<xsl:value-of select="@state"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>


<xsl:template match="set_tempo">
	set_tempo(<xsl:value-of select="@state"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>

<xsl:template match="repeat">
	repeat(<xsl:value-of select="@action"/>, <xsl:value-of select="@times"/>)<xsl:if test="not(position()=last())">,</xsl:if></xsl:template>



<!-- ignore all not matched -->
<!-- xsl:template match="*" priority="-1"/ -->

</xsl:stylesheet>
